%define upstream_name    Net-RawIP
%define upstream_version 0.25

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Net::RawIP - a perl module can to manipulate raw IP packets
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	libpcap-devel
BuildRequires:  perl(List::MoreUtils)
BuildRequires:	perl-devel


%description
This is Net::RawIP, a perl module can to manipulate raw IP packets,
with an optional feature for manipulating Ethernet headers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# fix attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

perl -pi -e 's!/usr/lib!%{_libdir}!g' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README README.Devel examples META.yml
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.250.0-4.mga3
+ Revision: 370842
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.250.0-3.mga3
+ Revision: 250997
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.250.0-2.mga2
+ Revision: 104856
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 30952
- mageia rebuild
- imported package perl-Net-RawIP

